package cn.estsh.i3plus.pojo.model.wms;

import lombok.Data;

import java.util.List;

/**
 * @Description : 库存移动明细模型
 * @Reference :
 * @Author : siliter.yuan
 * @CreateDate : 2019-03-06 15:50
 * @Modify:
 **/
@Data
public class WmsMoveDetailsModel {
    public String orderNo;

    public Integer item;

    public String partNo;

    public String partNameRdd;

    public String vendorNo;

    public String custNo;

    public Double qty;

    public Double transQty;

    public String unit;

    public String srcWhNo;

    public String srcZoneNo;

    public String srcLocateNo;

    public String destWhNo;

    public String destZoneNo;

    public String destLocateNo;

    /**
     * 状态:1=创建,10=待处理,20=已处理
     */
    public Integer itemStatus;

    /**
     * ASN,PO,SO
     */
    public Integer refType;

    public String refSrc;

    private List<WmsMoveSnModel> moveDetails;
}
